{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}
{% load custom_tags %}

{% block extra_style_block %}
    {{block.super}}

    <style>
        .btn-payment {
            float: right;
            color: #fff;
        }
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
        .bgc {
            background: rgba(0,0,0,.075);
        }
        .sku {
            cursor: pointer;
        }
        .even {background: rgba(0,0,0,.075);}
        .odd {background: rgba(0,0,0,.075);}
    </style>

    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }

        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .col-cust-add.col-business-add{
          padding: 3px 5px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          border-radius: 4px;
          margin: 6px 14px 0px;
        }
        .col-cust-add.col-business-add span{
          padding: 5px 8px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
    </style>

    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
        .modal-dialog {
            max-width: 400px;
        }
        #myTable {
            margin-bottom: 0;
        }
    </style>

    <style>
        .SR {
            background: #00c0ef;
        }
        .WHS {
            background: #00a65a;
        }
        .WHSUSER {
            background: #1b7396;
        }
        .Finance {
            background: #88377d;
        }
        .BusinessHead {
            background: #a2a600;
        }
        .Admin {
            background: #dd4b39;
        }
    </style>
{% endblock %}


{% block content %}
    <head>
        <link rel="stylesheet" type="text/css" href="{% static 'css/grid-style.css' %}">
        <title></title>
    </head>
  
    <span style="margin-top: -15px;" id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
    <h1 style="margin-top: -18px;" class="back-list" id="title-div">Users</h1>

    <form  method="post" enctype="multipart/form-data">
        {% csrf_token %}
        <section class="content-header col-content">
            <div class="row">
                <div class="col-xs-4 col-sm-4 col-md-4">
                    <address class="col-cust-add col-business-add">
                        {% if request.user.is_superuser and group == 'SR' %}
                        <span><a style="color: #fff;" href="{% url 'create_sr' %}">Create</a></span>
                        {% endif %}
                        <span style="background-color: #00c0ef;border-color: #00acd6;">
                            Total no of Users: {{totalUsers|default:"0"}}
                        </span>
                    </address>
                </div>

                <div class="col-xs-8 col-sm-8 col-md-8 text-right">
                    <div class="row">
                        {% if data_list.has_other_pages %}
                            <ul class="pagination col-pagination pg-blue" style="vertical-align: middle;">
                                {% if data_list.has_previous %}
                                <li class="page-item">
                                    <a class="page-number" href="?page={{ data_list.previous_page_number }}"
                                       aria-label="Previous">
                                        &laquo;
                                    </a>
                                </li>

                                {% else %}
                                <li class="page-item disabled">
                                    <a class="page-link" href="">
                                        <span>&laquo;</span>
                                    </a>
                                </li>
                                {% endif %} {% for i in data_list.paginator.page_range %} {% if data_list.number == i %}
                                <li class="page-item active">
                                    <a class="page-link" href="#">
                                        {{ i }}
                                    </a>
                                </li>

                                {% else %}
                                <li class="page-item">
                                    <a class="page-link" href="?page={{ i }}">
                                        {{ i }}
                                    </a>
                                </li>

                                {% endif %} {% endfor %} {% if data_list.has_next %}

                                <li class="page-item">
                                    <a class="page-number" href="?page={{ data_list.next_page_number }}">
                                        &raquo;
                                    </a>
                                </li>
                                {% endif %}
                            </ul>
                        {% endif %}

                        <div class="search-container text-right" style="display: inline-block;">
                            <form class="search-form">
                                <input value="{{searchValue}}" class="form-control txt-search"
                                       type="text" placeholder="Search..." name="search">
                                <button class="btn-search" name="btnSearch" type="submit">
                                    <i class="fa fa-search"></i>
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </form>

    <section>
        <table class="table table table-bordered">
            <thead>
            <tr>
                <th>S.NO.</th>
                {% if user_role == 'SR' %}
                    <th>SR Id</th>
                {% endif %}
                <th>First Name</th>
                <th>Last Name</th>
                <th>Email</th>
                <th>Mobile</th>
                <!--<th>Role</th>-->
                <th>Status</th>
                {% if user_role == 'SR' %}
                <th>Action</th>
                {% elif user_role == 'WHSUSER' %}
                <th>Warehouse</th>
                {% endif %}
            </tr>
            </thead>
            <tbody>
                {% if data_list|length > 0 %}
                    {% for data in data_list %}
                        <tr>
                            <td>{{forloop.counter}}</td>
                            {% if user_role == 'SR' %}
                                <td>{{data.user_code|default:"---"}}</td>
                            {% endif %}
                            <td>{{data.first_name|default:"---"}}</td>
                            <td>{{data.last_name|default:"---"}}</td>
                            <td>{{data.email|default:"---"}}</td>
                            <td>{{data.mobile|default:"---"}}</td>
                            <!--<td><span class="label {{data.userRole}}">{{data.role|default:"-&#45;&#45;"}}</span></td>-->
                            <td>
                                {% if data.is_active == True %}
                                    <span class="label label-success">Active</span>
                                {% else %}
                                    <span class="label label-warning">Inactive</span>
                                {% endif %}
                            </td>

                            {% if user_role == 'SR' %}
                            <td>
                                <a target="_blank" href="/admin/ClassicUserAccounts/user/{{data.id}}/change/">
                                    <span class="glyphicon glyphicon-edit"></span>
                                </a>

                                <!--<a data-goto-page="{% url 'sr_delete' data.id %}" rel="group" data-prev="{{data.id}}" class="btn btn-danger btn-xs btn-3d" data-toggle="modal" data-target="#modal-danger">-->
                                <a id="btndelete_{{forloop.counter}}" data-prev="{{data.id}}" class="btn btn-danger btn-xs btn-3d">
                                    <span data-toggle="tooltip" data-state="danger" data-placement="top" title="" class="glyphicon glyphicon-trash"></span>
                                </a>
                            </td>
                            {% elif user_role == 'WHSUSER' %}
                            <td>{{data.warehouse}}</td>
                            {% endif %}
                        </tr>
                    {% endfor %}
                {% else %}
                    <tr>
                        {% if user_role == 'SR' or user_role == 'WHSUSER' %}
                        <td colspan="6" style="text-align:center;">Data not available</td>
                        {% else %}
                        <td colspan="5" style="text-align:center;">Data not available</td>
                        {% endif %}
                    </tr>
                {% endif %}
            </tbody>
        </table>
    </section>

    <!-- Now Its No User -->
    <div class="modal fade" id="myModal" role="dialog">
        <div class="modal-dialog modal-lg">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal">&times;</button>
             <h3>Assign New SR</h3>
            </div>
            <div class="modal-body">
                <form method="post" novalidate>
                    {% csrf_token %}
                    <input type="hidden" name="sr" id="get_sr">
                    <input type="hidden" name="sr_email" id="email">
                    <input type="hidden" name="sr_code" id="code">
                    <div class="box-body">
                        <div class="form-group col-md-12 col-sm-12">
                            <div id="div_id_email" class="form-group">
                                <label for="id_email" class="control-label  requiredField">
                                    Email address<span class="asteriskField">*</span>
                                </label>
                                <div class="controls ">
                                    <input type="email" name="email" maxlength="254" class="emailinput form-control" required="" id="id_email">
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-12 col-sm-12">
                            <div id="div_id_user_code" class="form-group">
                                <label for="id_user_code" class="control-label  requiredField">
                                    SR Code<span class="asteriskField">*</span>
                                </label>
                                <div class="controls ">
                                    <input type="text" name="user_code" class="textinput textInput form-control" required="" id="id_user_code">
                                    <p id="hint_id_user_code" class="help-block">ex: Should be alphanumeric</p>
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-12 col-sm-12">
                            <div id="div_id_first_name" class="form-group">
                                <label for="id_first_name" class="control-label  requiredField">
                                    First name<span class="asteriskField">*</span>
                                </label>
                                <div class="controls ">
                                    <input type="text" name="first_name" maxlength="50" class="textinput textInput form-control" required="" id="id_first_name">
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-12 col-sm-12">
                            <div id="div_id_last_name" class="form-group">
                                <label for="id_last_name" class="control-label  requiredField">
                                    Last name<span class="asteriskField">*</span>
                                </label>
                                <div class="controls ">
                                    <input type="text" name="last_name" maxlength="50" class="textinput textInput form-control" required="" id="id_last_name">
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-12 col-sm-12">
                            <div id="div_id_mobile" class="form-group">
                                <label for="id_mobile" class="control-label  requiredField">
                                    Primary Contact<span class="asteriskField">*</span>
                                </label>
                                <div class="controls ">
                                    <input type="text" name="mobile" max_length="13" required="" class="textinput textInput form-control" id="id_mobile">
                                    <p id="hint_id_mobile" class="help-block">ex: 5555555555</p>
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-12 col-sm-12">
                            <div id="div_id_phone" class="form-group">
                                <label for="id_phone" class="control-label ">
                                    Alternate contact
                                </label>
                                <div class="controls ">
                                    <input type="text" name="phone" max_length="13" class="textinput textInput form-control" id="id_phone">
                                    <p id="hint_id_phone" class="help-block">ex: 5555555555</p>
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-12 col-sm-12 text-right">
                            <input type="submit" value="Submit" name="assign_sr" class="btn btn-primary">
                        </div>
                    </div>
                </form>
            </div>
          </div>
        </div>
      </div>

    <div id="modal-danger" class="modal fade modal-alert modal-danger">
        <div class="modal-dialog modal-dialog-new">
            <div class="modal-content modal-content-new">
                <div class="modal-header modal-header-new" style="background-color:#e46050 !important">
                    <i class="fa fa-times-circle"></i>
                </div>
                <div class="modal-title modal-title-new">Delete</div>
                <div class="modal-body modal-body-new" style="color:#444 !important;background-color:#fff !important">Are you sure you want to delete?</div>
                <div class="modal-footer modal-footer-new" style="background-color:#fff !important;border-top:1px solid #fff !important">
                    <a id="confirm-id" class="btn btn-danger btn-3d">Yes</a>
                    <a class="btn btn-info btn-3d" data-dismiss="modal">No</a>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="srModel" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Assign New SR</h4>
                </div>
                <div class="modal-body">
                    <div class="table-responsive">
                        <form id="myForm" method="post">{% csrf_token %}
                            <table id="myTable" class="table table-striped order-table table-bordered">
                                <tbody>
                                    <tr>
                                        <td>
                                            Select SR:
                                            <select id="ddl_sr" class="select form-control" name="new_sr_id">
                                                {% for x in sr_list %}
                                                <option value="{{x.id}}">{{x.detail}}</option>
                                                {% endfor %}
                                            </select>
                                            <input id="txt_old_sr_id" type="hidden" name="old_sr_id">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="right">
                                            <input type="submit" value="Save" class="btn btn-primary">
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </form>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script>
        function get_sr(sr_id) {
            //var sr=sr_id.split('_')
            var sr_id= parseInt(sr_id)
            $('#get_sr').attr('value',sr_id)
            //$('#email').attr('value',sr[2])
            //$('#code').attr('value',sr[1])
        }

        $(document).ready(function() {

            $(document).on('change', '#ddl_sr', function() {
                var delete_sr = $('#srModel input#txt_old_sr_id').val();
                var new_sr = $(this).val();
                if(delete_sr == new_sr) {
                    toastr.error('You can not assign same SR, please change your new SR');
                }
            })

            $("#myForm").submit(function(event) {
                var delete_sr = $('#srModel input#txt_old_sr_id').val();
                var new_sr = $("#ddl_sr").val();
                if(delete_sr == new_sr) {
                    toastr.error('You can not assign same SR, please change your new SR');
                    return false;
                }
            })

            $(document).on('click', '#confirm-id', function() {
                $('#srModel input#txt_old_sr_id').val($(this).attr('data-dealer'))
                $('#modal-danger').modal('hide');
                $('#srModel').modal('show');
            })

            $(document).on('click', '[id^="btndelete_"]', function() {
                var dealer_id = $(this).attr('data-prev');
                $('#modal-danger a#confirm-id').attr('data-dealer', dealer_id)
                $('#modal-danger').modal('show');
            });

            var title = getUrlParameter('list');
            if(title == "WHS") {
                title = "WH Admin"
            }
            if(title == "WHSUSER") {
                title = "WH User"
            }
            $('#title-div').html(title);
            document.title = title;
        });

        function getUrlParameter(sParam) {
            var sPageURL = window.location.search.substring(1),
                sURLVariables = sPageURL.split('&'),
                sParameterName,
                i;

            for (i = 0; i < sURLVariables.length; i++) {
                sParameterName = sURLVariables[i].split('=');

                if (sParameterName[0] === sParam) {
                    return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
                }
            }
        };
    </script>
{% endblock %}